## org.apache.poi.hwpf
Class HWPFOldDocument

    java.lang.Object
      org.apache.poi.POIDocument
          org.apache.poi.hwpf.HWPFDocumentCore
              org.apache.poi.hwpf.HWPFOldDocument

    public class HWPFOldDocument

extends HWPFDocumentCore

Provides very simple support for old (Word 6 / Word 95) files.

Field Summary

Fields inherited from class org.apache.poi.hwpf.HWPFDocumentCore
`_cbt, _fib, _ft, _lt, _mainStream, _objectPool, _pbt, _ss, _st, STREAM_OBJECT_POOL, STREAM_WORD_DOCUMENT`

Fields inherited from class org.apache.poi.POIDocument
`directory`

Constructor Summary
`HWPFOldDocument(DirectoryNode directory)`
`HWPFOldDocument(DirectoryNode directory, POIFSFileSystem fs)` Deprecated.
`HWPFOldDocument(POIFSFileSystem fs)`

Method Summary
`Range` `getOverallRange()` Returns the range that covers all text in the file, including main text, footnotes, headers and comments
`Range` `getRange()` Returns the range which covers the whole of the document, but excludes any headers and footers.
`java.lang.StringBuilder` `getText()` Internal method to access document text
`TextPieceTable` `getTextTable()`
`void` `write(java.io.OutputStream out)` Writes the document out to the specified output stream

Methods inherited from class org.apache.poi.hwpf.HWPFDocumentCore
`getCharacterTable, getDocumentText, getFileInformationBlock, getFontTable, getListTables, getObjectsPool, getParagraphTable, getSectionTable, getStyleSheet, verifyAndBuildPOIFS`

Methods inherited from class org.apache.poi.POIDocument
`copyNodeRecursively, copyNodes, copyNodes, createInformationProperties, getDocumentSummaryInformation, getPropertySet, getSummaryInformation, readProperties, writeProperties, writeProperties, writePropertySet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HWPFOldDocument

    public HWPFOldDocument(POIFSFileSystem fs)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

### HWPFOldDocument

    @Deprecated
    public HWPFOldDocument(DirectoryNode directory,
                                      POIFSFileSystem fs)
                    throws java.io.IOException

  Deprecated.

  Throws:
    `java.io.IOException`

### HWPFOldDocument

    public HWPFOldDocument(DirectoryNode directory)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getOverallRange

    public Range getOverallRange()

  Description copied from class: `HWPFDocumentCore`
  Returns the range that covers all text in the file, including main text, footnotes, headers and comments

  Specified by:
    `getOverallRange` in class `HWPFDocumentCore`

### getRange

    public Range getRange()

  Description copied from class: `HWPFDocumentCore`
  Returns the range which covers the whole of the document, but excludes any headers and footers.

  Specified by:
    `getRange` in class `HWPFDocumentCore`

### getTextTable

    public TextPieceTable getTextTable()

  Specified by:
    `getTextTable` in class `HWPFDocumentCore`

### getText

    public java.lang.StringBuilder getText()

  Description copied from class: `HWPFDocumentCore`
  Internal method to access document text

  Specified by:
    `getText` in class `HWPFDocumentCore`

### write

    public void write(java.io.OutputStream out)
               throws java.io.IOException

  Description copied from class: `POIDocument`
  Writes the document out to the specified output stream

  Specified by:
    `write` in class `POIDocument`
  Throws:
    `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.